Summary: A small page to originate calls through an asterisk server
%define name smeserver-callback
Name: %{name}
%define version 0.1.5
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

BuildRequires: e-smith-devtools

Requires: e-smith-base
Requires: smeserver-webapps-common >= 0.2.3
Requires: perl(Net::Telnet)

%description
This package contains all the needed scripts and templates
to run the callback form

%changelog
* Tue Sep 9 2014 Daniel Berteaud <daniel@firewall-services.com> - 0.1.5-1
- Bundle bootstrap CSS

* Mon Apr 15 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.1.4-1
- Use https to retrieve the CSS

* Tue Apr 24 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1.3-1
- Really remove dependency on Asterisk::AMI

* Fri Apr 13 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1.2-1
- Fix apache template

* Fri Apr 13 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1.1-1
- Read CallerID from ENV (sent by LL::NG, from LDAP)

* Fri Nov 18 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1.0-1
- Initiale release

%prep

%setup -q -n %{name}-%{version}

%build
perl createlinks
%{__mkdir_p} root/etc/callback


%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --file /usr/share/callback/cgi-bin/callback.cgi 'attr(0750,root,www)' \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%post

%preun

true

